Summary: Numerical Data Processing and Visualization Tool (grace)
Name: grace
Version: 5.1.21
Release: 1_centos5
License: GPL
Source0: ftp://plasma-gate.weizmann.ac.il/pub/grace/src/%{name}-%{version}.tar.gz
Icon: %{name}.gif
BuildRoot: /tmp/%{name}-root
Packager: Tru Huynh <tru@pasteur.fr>
Group: Applications/Math
URL:http://plasma-gate.weizmann.ac.il/Grace
%description
Grace is a Motif application for two-dimensional data visualization.
Grace can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Grace is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.


%changelog
* Mon Oct 22 2007 Tru Huynh <tru@pasteur.fr> -5.1.21-1_centos5
- version 5.1.21 on CentOS-5

* Fri Sep 09 2005 Tru Huynh <tru@pasteur.fr> -5.1.18-1_centos3
- bump to version 5.1.18

* Fri Jun 25 2004 Tru Huynh <tru@pasteur.fr>
- rebuild for centos3

* Thu Oct  9 2003 Tru Huynh <tru@pasteur.fr>
-  update to 5.1.12

* Wed Jan 22 2003 Tru Huynh <tru@pasteur.fr>
-  update to 5.1.11

* Wed Jul 24 2002 Tru Huynh <tru@pasteur.fr>
- rebuild for redhat 7.3

* Thu Feb 21 2002 Tru Huynh <tru@pasteur.fr>
- upgrade to version 5.1.6
- added url link

* Thu May 10 2001 Tru Huynh <tru@pasteur.fr>
- added symlink in /usr/local/bin

* Wed Apr 18 2001 Tru Huynh <tru@pasteur.fr>
- stripdown from the spec file of Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.1.3

* Thu Oct 19 2000 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.1.2

* Mon Apr  3 2000 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.1.0

* Fri Dec 17 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 991217

* Fri Oct  8 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.5pre1
- added canvas patch

* Fri Oct  1 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.5pre0

* Fri Sep 17 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- fixed the string copy problem (#611)

* Tue Sep 14 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.4gamma

* Tue Jun 29 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990629

* Fri Jun 18 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990614

* Wed May 19 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990519

* Mon Apr 26 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990424

* Wed Apr  7 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- patched pars.yacc to enable "(cond) ? a : b"

* Sun Feb 28 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.2beta

* Mon Feb  1 1999 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-990131

* Tue Jan 12 1999 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981231

* Tue Dec 15 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981203

* Tue Nov  3 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981102

* Thu Oct 22 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981021
- added patch for using -bxy "0:1", i.e. for using column specification
  "0" for index.

* Tue Sep  8 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-5.0.1pre

* Thu Jul 16 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- added autoscale patch

* Wed Jul 15 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- initial revision of GRACE rpms


%prep
%setup
./configure --enable-grace-home=/usr/%{_lib}/grace

%build
#./configure --enable-grace-home=/usr/local
make

%install
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr/%{_lib}/grace
make PREFIX=$RPM_BUILD_ROOT/usr/%{_lib}/grace \
     GRACE_HOME=$RPM_BUILD_ROOT/usr/%{_lib}/grace \
     install

mkdir -p  $RPM_BUILD_ROOT/usr/bin
cd $RPM_BUILD_ROOT/usr/bin
ln -s ../%{_lib}/grace/bin/* .

cd $RPM_BUILD_ROOT
find . -type f \
	| sed 's,^\.,\%attr(-\,root\,root) ,' \
       	> $RPM_BUILD_DIR/file.list.%{name}
find . -type l \
	| sed 's,^\.,\%attr(-\,root\,root) ,' \
       	>> $RPM_BUILD_DIR/file.list.%{name}

%clean
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%doc COPYRIGHT ChangeLog DEVELOPERS LICENSE README doc
